;; Logische Tabelle  Khl_An_Schlsse erstellen
;; Lochtype Gewindebohrung (13)
(in-package :cad-cam-link-customization)

(sd-create-logical-table "mach_adv_library-partially_threaded_blindhole-thread_dia-table"
 :columns		'( :description :thread_dia :thread_size :drill_dia :tap_depth :drill_depth :cone_angle :chamfer_depth)
 :columnNames	' ("  Type  "                  "GD "       "GS "         "BD"        "GT"         "BT"        "Win"         "C")
 :secured		nil	
 :types		'( :string                :length	:length	:length	:length	:length	:angle	:length)
 :units		'(nil	               :mm	:mm	:mm	:mm	:mm	:deg	:mm)
 :contents		'( ("M8x0.75"	   8	0.75	  7.3	  8 	  10	 180	  0)
		   ("M10x1"	 10	1.0	  9.0	11              13           180           0)
		   ("M12x1.5"	 12	1.5	10.5	11	  13	 180	  0)
                                   ("M14x1.5"             14           1.5           12.5         12              14           180           0)))



;;---- Display Tabelle fr  Khl_An_Schlsse erstellen 

(sd-create-display-table "mach_adv_library-partially_threaded_blindhole-thread_dia-table"
 :tableTitle  		"Kuehl_An_Schluesse "
 :logicalTable   		"mach_adv_library-partially_threaded_blindhole-thread_dia-table"
 :columns   		'( :description :thread_dia :thread_size :drill_dia :tap_depth :drill_depth :cone_angle :chamfer_depth)
 :filterStatusLine		nil
 :applyColumns		'( :thread_dia :thread_size :drill_dia :tap_depth :drill_depth :cone_angle :chamfer_depth)
 :selectionMode		:single-row
 :applyAction		:default-tokens
)

;;---------------------------- Beschriftung fr Khl_An_Schluesse  im 3D-Annotation anpassen

(MACHADV_SET_FEATURE_FLAG_TEXT
    :feature_type "MACH_ADV_LIBRARY_PARTIALLY_THREADED_BLINDHOLE"
    :feature_flagstring  "M{3}x{4} K_An_Schl~%BT={2} GT={5}"
)

(MACHADV_SET_FEATURE_ABBREVIATION
    :feature_type "MACH_ADV_LIBRARY_PARTIALLY_THREADED_BLINDHOLE"
    :feature_abbrev "K_An_Schl"
)

;; Tabelle anzeigen
;;(sd-show-display-table "mach_adv_library-partially_threaded_blindhole-thread_dia-table")

;; Mashining aufrufen
create_custom_feature "mach_adv_library_partially_threaded_blindhole" 


 
  
